Package com.avaya.clientservices.call

## Enum CallError

- java.lang.Object
- - java.lang.Enum<CallError>
  - - com.avaya.clientservices.call.CallError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallError>`

      public enum CallError
      extends java.lang.Enum<CallError>

  Point to point and conference call related error codes. These error codes are reported as part of the { @link CallException} passed back via { @link CallCompletionHandlerHandler#onError } upon failure of the corresponding operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_ERROR` | Reported when local user's authentication with the network has failed.
    `BUSY` | Reported when the request is rejected by the server due to resource being busy.
    `CALL_FAILED_ANSWERED_COVERED_DROPPED` | Reported if the call is answered by another user, dropped by the caller or sent to voice mail.
    `CALL_STATE_MISMATCH` | Reported when the request cannot be supported at this time due to the current state of the call.
    `CALL_TERMINATED` | Reported when outgoing call request is terminated or canceled by user action.
    `CANCELED` | Reported when participant add operation cannot be done because operation was previously canceled by user.
    `CELLULAR_CALL_IN_PROGRESS` | Reported when a local VoIP/video call creation has failed because of an on-going cellular call.
    `CODEC_MISMATCH` | Reported when a VoIP session cannot be established due to incompatible codecs between the local and remote parties.
    `CONFERENCE_ADDRESS_NOT_VALID` | Reported when an ad-hoc conference creation attempt fails because the provisioned network address used for ad-hoc conference creation is not valid.
    `CONFERENCE_CERTIFICATE_FAILED` | Reported when UCCP web socket certificate fails.
    `CONFERENCE_FEATURE_NEGOTIATION_FAILED` | Reported when UCCP handshake fails.
    `CONFERENCE_PROXY_AUTHENTICATION_ERROR` | Conference failed because authentication credentials provided for logging into the proxy were rejected.
    `CONFERENCE_PROXY_CONNECTION_ERROR` | Conference failed because connection could not be established to the proxy server.
    `CONFERENCE_SOCKET_FAILED` | Reported when UCCP web socket connection fails.
    `FAILED` | Operation has failed.
    `HTTPUA_CERTIFICATE_FAILED` | Reported when Service Gateway certificate authentication fails
    `HTTPUA_PROXY_AUTHENTICATION_ERROR` | HTTPUA call failed because authentication credentials provided for logging into the proxy were rejected.
    `HTTPUA_PROXY_CONNECTION_ERROR` | HTTPUA call failed because connection could not be established to the proxy server.
    `IDENTITY_BAD_CERTIFICATE` | Client certificate is corrupt or in other way invalid.
    `IDENTITY_EXPIRED_CERTIFICATE` | Client certificate has expired.
    `IDENTITY_NO_CERTIFICATE` | Client certificate is missing.
    `IDENTITY_REVOKED_CERTIFICATE` | Client certificate was revoked by the issuing authority.
    `IDENTITY_UNKNOWN_CA` | Client certificate has expired.
    `IDENTITY_UNSUPPORTED_CERTIFICATE` | Client certificate type is not supported by the server.
    `IN_PROGRESS` | Operation has failed because another call operation is in progress.
    `INCORRECT_PASSCODE_DISCONNECTING` | Reported when provided passcode for conference is not valid, indicates that there will be no more attempts to provide passcode.
    `INCORRECT_PASSCODE_TRY_AGAIN` | Reported when provided passcode for conference is not valid, indicates that there could be one more attempt to provide passcode.
    `INTERNAL_ERROR` | Operation has failed due to an internal error.
    `INVALID_PARAMETER` | Reported when an invalid parameter is used for the request.
    `LAYOUT_NOT_AVAILABLE` | Reported when the conference server is unable to support the selected video layout.
    `LINE_RESERVATION_ERROR` | Reported when a line reservation attempt is failed by the server.
    `MEDIA_CREATION_FAILURE` | Reported when local audio and/or video resources cannot be initialized successfully.
    `MEDIA_START_FAILURE` | Reported when local audio and/or video resources cannot be started successfully.
    `MOBILE_LINK_HEADSET_CONNECTED` | Reported when Sonic detected that headset is connected.
    `MOBILE_LINK_SONIC_SIGNAL_GENERATION_FAILED` | Reported when Sonic fails to generate the signal.
    `MOBILE_LINK_SPEAKER_MUTED` | Reported when Sonic detected that the speaker is muted.
    `NO_ANSWER` | Reported when participant add operation cannot be done because far end didn't answer call.
    `NO_AVAILABLE_CALL_APPEARANCE` | Reported when the local user's call initiation attempt fails because the Avaya Communication Manager has no idle line appearance available for the call.
    `NOT_ALLOWED` | Reported when add participant operation is not allowed at all.
    `NOT_AUTHORIZED` | Reported when participant add or remove operations cannot be supported because local user does not have moderator privileges to perform these actions.
    `NOT_FOUND` | Reported when a conference control operation has failed because the server did not recognize the conference call address.
    `NOT_LICENSED` | Reported when an operation is denied because user does not have the license to perform the operation.
    `NOT_REGISTERED` | Reported when an operation fails because the server believes the user is not registered.
    `NOT_SUPPORTED` | Reported when a requested operation cannot be supported locally, because the state of the underlying resource does not allow the operation at this time.
    `ONE_TIME_PIN_REQUIRED_FOR_OWNER_VIRTUAL_ROOM_ACCESS` | Reported when one time pin is required and user is owner of the room.
    `ONE_TIME_PIN_REQUIRED_FOR_VIRTUAL_ROOM_ACCESS` | Reported when one time pin is required and user is not owner of the room.
    `PENDING_APPROVAL` | Reported when conference is in pending approval state.
    `PIN_IS_TOO_SHORT` | Reported if the user enters a PIN which is shorter than the minimum length configured.
    `REDIRECTED` | Operation was redirected to another destination.
    `REJECTED` | Reported when the request is rejected by the server due to a permission error.
    `REMOTE_CALL_NOT_ALERTING` | Reported when an attempt to locally answer an incoming call at a remote extension (e.g., at a bridged line appearance extension) has failed because the call was already answered remotely.
    `REMOTE_MEDIA_PROCESSING_FAILURE` | Reported when the application tries to accept an incoming call, but this attempt fails because the remote audio and/or video information could not be applied to local audio/video resources.
    `SELF_UNMUTE_NOT_ALLOWED` | Reported if the server rejects user's request for unmute
    `SEND_ERROR` | Reported when a network message could not be sent due to a network connection error.
    `SERVER_ERROR` | Reported when the request has failed due to an internal server error.
    `SUCCESS` | Operation completed successfully.
    `TIMEOUT` | Reported when the send of a network message timed out locally, or a response to the message was not received from the server in time.
    `TRANSPORT_ERROR` | Reported when request could not be sent to the network server.
    `UNAUTHORIZED_USER_CANNOT_JOIN_VIRTUAL_ROOM` | Reported if unauthorized user tries to join virtual room protected by participant-id.
    `UNDEFINED` | Deprecated.
    `USER_NOT_FOUND` | Reported when the called party address is not known to the server.
    `USER_TEMPORARILY_UNAVAILABLE` | Reported when the called party has no device registered on his/her behalf, making call setup not possible at this point in time.
    `VIDEO_DENIED` | Reported when a mid-call video add request was denied by the remote party.
    `WIFI_UNAVAILABLE` | Reported when a VoIP/video call cannot be set up because there is no Wifi network available to initiate a call and the local policy restricts VoIP/video calls to Wifi networks only.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final CallError UNDEFINED

      Deprecated.
      Operation has failed because an unknown error took place. This error code is not used.

    - #### SUCCESS

          public static final CallError SUCCESS

      Operation completed successfully. This return code is not used.

    - #### IN_PROGRESS

          public static final CallError IN_PROGRESS

      Operation has failed because another call operation is in progress.

    - #### FAILED

          public static final CallError FAILED

      Operation has failed. The failure reason was not specified.

    - #### REJECTED

          public static final CallError REJECTED

      Reported when the request is rejected by the server due to a permission error. For example, a call operation is requested on a call that the server believes cannot be supported at this time, e.g., due to call state mismatch. Similarly, a conference moderator operation may be rejected by the server if the local user performing the operation is not a moderator.

    - #### BUSY

          public static final CallError BUSY

      Reported when the request is rejected by the server due to resource being busy. For example, a point-to-point call may fail if the called party returns a busy indication, or if there are no local line appearances available on the server side to initiate the call.

    - #### CODEC_MISMATCH

          public static final CallError CODEC_MISMATCH

      Reported when a VoIP session cannot be established due to incompatible codecs between the local and remote parties.

    - #### USER_NOT_FOUND

          public static final CallError USER_NOT_FOUND

      Reported when the called party address is not known to the server. For example, if user dials an invalid telephone number, this error code is reported.

    - #### USER_TEMPORARILY_UNAVAILABLE

          public static final CallError USER_TEMPORARILY_UNAVAILABLE

      Reported when the called party has no device registered on his/her behalf, making call setup not possible at this point in time.

    - #### REDIRECTED

          public static final CallError REDIRECTED

      Operation was redirected to another destination.

    - #### TIMEOUT

          public static final CallError TIMEOUT

      Reported when the send of a network message timed out locally, or a response to the message was not received from the server in time.

    - #### SEND_ERROR

          public static final CallError SEND_ERROR

      Reported when a network message could not be sent due to a network connection error.

    - #### AUTHENTICATION_ERROR

          public static final CallError AUTHENTICATION_ERROR

      Reported when local user's authentication with the network has failed. This can happen when user-supplied credentials do not match the credentials the server expects to receive from the end user.

    - #### SERVER_ERROR

          public static final CallError SERVER_ERROR

      Reported when the request has failed due to an internal server error.

    - #### CALL_STATE_MISMATCH

          public static final CallError CALL_STATE_MISMATCH

      Reported when the request cannot be supported at this time due to the current state of the call. For example, a hold request while the call is being transferred is not allowed.

    - #### INTERNAL_ERROR

          public static final CallError INTERNAL_ERROR

      Operation has failed due to an internal error. For example, if the network connection is lost after an API call is made by the application, but before the API call can be processed, this error code is returned.

    - #### INVALID_PARAMETER

          public static final CallError INVALID_PARAMETER

      Reported when an invalid parameter is used for the request. For example, if the application tries to add a participant but provides an empty participant address, this error is reported.

    - #### TRANSPORT_ERROR

          public static final CallError TRANSPORT_ERROR

      Reported when request could not be sent to the network server.

    - #### LINE_RESERVATION_ERROR

          public static final CallError LINE_RESERVATION_ERROR

      Reported when a line reservation attempt is failed by the server. It should be noted that line appearance id and line appearance owner are required to reserve a line appearance when the a call is initiated on a bridged line appearance. If for some reason, the line reservation request fails, this error code is reported. This error code is only applicable to communication systems environments where bridging and bridged line appearances are supported.

    - #### NO_AVAILABLE_CALL_APPEARANCE

          public static final CallError NO_AVAILABLE_CALL_APPEARANCE

      Reported when the local user's call initiation attempt fails because the Avaya Communication Manager has no idle line appearance available for the call.

    - #### REMOTE_CALL_NOT_ALERTING

          public static final CallError REMOTE_CALL_NOT_ALERTING

      Reported when an attempt to locally answer an incoming call at a remote extension (e.g., at a bridged line appearance extension) has failed because the call was already answered remotely.

    - #### NOT_FOUND

          public static final CallError NOT_FOUND

      Reported when a conference control operation has failed because the server did not recognize the conference call address.

    - #### NOT_REGISTERED

          public static final CallError NOT_REGISTERED

      Reported when an operation fails because the server believes the user is not registered.

    - #### NOT_SUPPORTED

          public static final CallError NOT_SUPPORTED

      Reported when a requested operation cannot be supported locally, because the state of the underlying resource does not allow the operation at this time.

    - #### MEDIA_CREATION_FAILURE

          public static final CallError MEDIA_CREATION_FAILURE

      Reported when local audio and/or video resources cannot be initialized successfully.

    - #### MEDIA_START_FAILURE

          public static final CallError MEDIA_START_FAILURE

      Reported when local audio and/or video resources cannot be started successfully.

    - #### REMOTE_MEDIA_PROCESSING_FAILURE

          public static final CallError REMOTE_MEDIA_PROCESSING_FAILURE

      Reported when the application tries to accept an incoming call, but this attempt fails because the remote audio and/or video information could not be applied to local audio/video resources.

    - #### VIDEO_DENIED

          public static final CallError VIDEO_DENIED

      Reported when a mid-call video add request was denied by the remote party.

    - #### CELLULAR_CALL_IN_PROGRESS

          public static final CallError CELLULAR_CALL_IN_PROGRESS

      Reported when a local VoIP/video call creation has failed because of an on-going cellular call.

    - #### NOT_LICENSED

          public static final CallError NOT_LICENSED

      Reported when an operation is denied because user does not have the license to perform the operation. For example, video add request may be denied using this error code when the user's account is not licensed to support video calls.

    - #### NOT_AUTHORIZED

          public static final CallError NOT_AUTHORIZED

      Reported when participant add or remove operations cannot be supported because local user does not have moderator privileges to perform these actions.

    - #### WIFI_UNAVAILABLE

          public static final CallError WIFI_UNAVAILABLE

      Reported when a VoIP/video call cannot be set up because there is no Wifi network available to initiate a call and the local policy restricts VoIP/video calls to Wifi networks only.

    - #### CONFERENCE_ADDRESS_NOT_VALID

          public static final CallError CONFERENCE_ADDRESS_NOT_VALID

      Reported when an ad-hoc conference creation attempt fails because the provisioned network address used for ad-hoc conference creation is not valid.

    - #### CANCELED

          public static final CallError CANCELED

      Reported when participant add operation cannot be done because operation was previously canceled by user. Participant removed while it was in connecting state.

    - #### NO_ANSWER

          public static final CallError NO_ANSWER

      Reported when participant add operation cannot be done because far end didn't answer call.

    - #### NOT_ALLOWED

          public static final CallError NOT_ALLOWED

      Reported when add participant operation is not allowed at all.

    - #### INCORRECT_PASSCODE_TRY_AGAIN

          public static final CallError INCORRECT_PASSCODE_TRY_AGAIN

      Reported when provided passcode for conference is not valid, indicates that there could be one more attempt to provide passcode.

    - #### INCORRECT_PASSCODE_DISCONNECTING

          public static final CallError INCORRECT_PASSCODE_DISCONNECTING

      Reported when provided passcode for conference is not valid, indicates that there will be no more attempts to provide passcode.

    - #### PENDING_APPROVAL

          public static final CallError PENDING_APPROVAL

      Reported when conference is in pending approval state.

    - #### LAYOUT_NOT_AVAILABLE

          public static final CallError LAYOUT_NOT_AVAILABLE

      Reported when the conference server is unable to support the selected video layout.

    - #### CALL_TERMINATED

          public static final CallError CALL_TERMINATED

      Reported when outgoing call request is terminated or canceled by user action.

    - #### CONFERENCE_SOCKET_FAILED

          public static final CallError CONFERENCE_SOCKET_FAILED

      Reported when UCCP web socket connection fails.

    - #### CONFERENCE_CERTIFICATE_FAILED

          public static final CallError CONFERENCE_CERTIFICATE_FAILED

      Reported when UCCP web socket certificate fails.

    - #### CONFERENCE_FEATURE_NEGOTIATION_FAILED

          public static final CallError CONFERENCE_FEATURE_NEGOTIATION_FAILED

      Reported when UCCP handshake fails.

    - #### CONFERENCE_PROXY_CONNECTION_ERROR

          public static final CallError CONFERENCE_PROXY_CONNECTION_ERROR

      Conference failed because connection could not be established to the proxy server.

    - #### CONFERENCE_PROXY_AUTHENTICATION_ERROR

          public static final CallError CONFERENCE_PROXY_AUTHENTICATION_ERROR

      Conference failed because authentication credentials provided for logging into the proxy were rejected.

    - #### HTTPUA_PROXY_CONNECTION_ERROR

          public static final CallError HTTPUA_PROXY_CONNECTION_ERROR

      HTTPUA call failed because connection could not be established to the proxy server.

    - #### HTTPUA_PROXY_AUTHENTICATION_ERROR

          public static final CallError HTTPUA_PROXY_AUTHENTICATION_ERROR

      HTTPUA call failed because authentication credentials provided for logging into the proxy were rejected.

    - #### HTTPUA_CERTIFICATE_FAILED

          public static final CallError HTTPUA_CERTIFICATE_FAILED

      Reported when Service Gateway certificate authentication fails

    - #### IDENTITY_NO_CERTIFICATE

          public static final CallError IDENTITY_NO_CERTIFICATE

      Client certificate is missing.

    - #### IDENTITY_BAD_CERTIFICATE

          public static final CallError IDENTITY_BAD_CERTIFICATE

      Client certificate is corrupt or in other way invalid.

    - #### IDENTITY_UNSUPPORTED_CERTIFICATE

          public static final CallError IDENTITY_UNSUPPORTED_CERTIFICATE

      Client certificate type is not supported by the server.

    - #### IDENTITY_REVOKED_CERTIFICATE

          public static final CallError IDENTITY_REVOKED_CERTIFICATE

      Client certificate was revoked by the issuing authority.

    - #### IDENTITY_EXPIRED_CERTIFICATE

          public static final CallError IDENTITY_EXPIRED_CERTIFICATE

      Client certificate has expired.

    - #### IDENTITY_UNKNOWN_CA

          public static final CallError IDENTITY_UNKNOWN_CA

      Client certificate has expired.

    - #### ONE_TIME_PIN_REQUIRED_FOR_VIRTUAL_ROOM_ACCESS

          public static final CallError ONE_TIME_PIN_REQUIRED_FOR_VIRTUAL_ROOM_ACCESS

      Reported when one time pin is required and user is not owner of the room.

    - #### ONE_TIME_PIN_REQUIRED_FOR_OWNER_VIRTUAL_ROOM_ACCESS

          public static final CallError ONE_TIME_PIN_REQUIRED_FOR_OWNER_VIRTUAL_ROOM_ACCESS

      Reported when one time pin is required and user is owner of the room.

    - #### MOBILE_LINK_SPEAKER_MUTED

          public static final CallError MOBILE_LINK_SPEAKER_MUTED

      Reported when Sonic detected that the speaker is muted.

    - #### MOBILE_LINK_HEADSET_CONNECTED

          public static final CallError MOBILE_LINK_HEADSET_CONNECTED

      Reported when Sonic detected that headset is connected.

    - #### MOBILE_LINK_SONIC_SIGNAL_GENERATION_FAILED

          public static final CallError MOBILE_LINK_SONIC_SIGNAL_GENERATION_FAILED

      Reported when Sonic fails to generate the signal.

    - #### UNAUTHORIZED_USER_CANNOT_JOIN_VIRTUAL_ROOM

          public static final CallError UNAUTHORIZED_USER_CANNOT_JOIN_VIRTUAL_ROOM

      Reported if unauthorized user tries to join virtual room protected by participant-id.

    - #### PIN_IS_TOO_SHORT

          public static final CallError PIN_IS_TOO_SHORT

      Reported if the user enters a PIN which is shorter than the minimum length configured.

    - #### CALL_FAILED_ANSWERED_COVERED_DROPPED

          public static final CallError CALL_FAILED_ANSWERED_COVERED_DROPPED

      Reported if the call is answered by another user, dropped by the caller or sent to voice mail.

    - #### SELF_UNMUTE_NOT_ALLOWED

          public static final CallError SELF_UNMUTE_NOT_ALLOWED

      Reported if the server rejects user's request for unmute

  - ### Method Detail

    - #### values

          public static CallError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallError c : CallError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null